<?php
date_default_timezone_set('America/Guayaquil');
require '../Conexion/class.sql.inc.php';
$db = new EyeMySQLAdap();


require_once('../PDFs/Lib/dompdf_config.inc.php');

session_start();

//$projectID = $_POST['projID'];
$UserName = $_SESSION['UserName'];
$Email	= strtolower( $_SESSION['Email']);
try {
   
	//if (true) 
	if (isset($_POST['Opcion'])) 
	{
		$varfil= $_POST['Opcion']; 
		
		$SellID = $_POST['SellID'];
		$ClientID = $_POST['ClientID'];
		
		$sqlS = " Select S.ClientID, S.ProjectID, P.Description as Proyecto, S.GeneralComment, if(S.EntHouseDate='1900-01-01','',date_format(S.EntHouseDate, '%d/%m/%Y')) as EntHouseDate, if(S.DateBono='1900-01-01','',date_format(S.DateBono, '%d/%m/%Y')) as DateBono, S.EtapaID, E.Description as Etapa, S.MzID, S.HouseID, S.CoDebtorIDNumber, concat(S.CoDebtorName,' ', S.CoDebtorFirstLastName, ' ', S.CoDebtorSecondLastName) as NombreCodeudor, S.Price, S.PercentTaxes, S.FinalSald, S.TotalCost, S.Reserve, S.Additional, S.Entrance, S.FinalSald, S.Bono, S.EntranceSald, if(S.SellDate='1900-01-01','', date_format(S.SellDate, '%d/%m/%Y')) as Fecha, S.AdditionalCorner, S.AdditionalWayStreet, S.AdditionalGreenArea, date_format(S.PaymentDate, '%d/%m/%Y') as PaymentDate, S.PaymentTypeID, S.PrequalificationAmount, PT.Description as PaymentType, date_format(S.DateEmiInscription, '%d/%m/%Y') DateInscription,date_format(S.DateEmiInscription, '%d') as Day, date_format(S.DateEmiInscription, '%m') as Month, date_format(DateEmiInscription, '%Y') as Year
				FROM sell as S
				LEFT JOIN etapa as E on S.EtapaID = E.EtapaID
				LEFT JOIN project as P on S.ProjectID = P.ProjectID
				LEFT JOIN paymenttype as PT on S.PaymentTypeID = PT.PaymentTypeID
				WHERE S.SellID=" .$SellID;
		$resultS = $db->query($sqlS);
		$objS = mysql_fetch_object($resultS);
		
		$sqlC = "select C.IDNumber, concat(C.Name,' ', C.FirstLastName, ' ', C.SecondLastName) as NombreCliente,C.Email, C.HomeAddress, C.HomeTelephone, E.WorkCompany, E.WorkTelephone, H.Description as TipoCasa, V.Description as EstadoCivil, concat(A.Name,' ', A.FirstLastName, ' ', A.SecondLastName) as NombreApoderado, A.IDNumber as IDNumberApoderado, concat(U.Name, ' ', U.LastName) as NombreAsesor, U.Email as EmailAsesor  FROM client C,apoderate A, economicaldata E, housesubtype H, civilstatus V, user U WHERE C.EconomicalDataID = E.EconomicalDataID AND A.ApoderateID = C.ApoderateID AND C.HouseSubTypeID = H.HouseSubTypeID AND C.ClientCivilStatusID = V.CivilStatusID AND C.CreateUserID = U.UserID AND C.ClientID=".$ClientID;
		//$sqlC = " select C.IDNumber, concat(C.Name,' ', C.FirstLastName, ' ', C.SecondLastName) as NombreCliente,C.Email, C.HomeAddress, C.HomeTelephone, E.WorkCompany, E.WorkTelephone, H.Description as TipoCasa, V.Description as EstadoCivil, concat(A.Name,' ', A.FirstLastName, ' ', A.SecondLastName) as NombreApoderado, A.IDNumber as IDNumberApoderado FROM client C,apoderate A, economicaldata E, housesubtype H, civilstatus V WHERE C.EconomicalDataID = E.EconomicalDataID AND A.ApoderateID = C.ApoderateID AND C.HouseSubTypeID = H.HouseSubTypeID AND C.ClientCivilStatusID = V.CivilStatusID AND C.ClientID=" .$ClientID;
		$resultC = $db->query($sqlC);
		$objC = mysql_fetch_object($resultC);
		
		$sqlPT = "select B.Description FROM postulant as P LEFT JOIN bank as B on P.FinantialInst = B.BankID where P.IDNumber = " . $objC->IDNumber;
		$resultPT = $db->query($sqlPT);
		$objPT = mysql_fetch_object($resultPT);
		
		$sqlM = " select M.Description, C.Codigo as ConstructorID, C.Description as constructor, C.LegalRepresentant, C.Charge, C.ConstructorDate, C.Telephone FROM mz M, constructor C WHERE M.ConstructorID = C.ConstructorID AND M.MzID =" .$objS->MzID;
		$resultM = $db->query($sqlM);
		$objM = mysql_fetch_object($resultM);
		
		$sqlH = " select HST.Description, H.HouseSubTypeID, H.Solar, H.SpaceMeter, H.BuildMeter, H.Location, H.Lindero1, H.Lindero2, H.Lindero3, H.Lindero4, H.LLindero1, H.LLindero2, H.LLindero3, H.LLindero4 FROM house H, housesubtype HST WHERE  HST.HouseSubTypeID=H.HouseSubTypeID AND H.HouseID =" .$objS->HouseID;
		$resultH = $db->query($sqlH);
		$objH = mysql_fetch_object($resultH);
			
		$hasCodebtor = ($objS->CoDebtorIDNumber!='');
		$hasApoderate = ($objC->IDNumberApoderado!='');
		$subTypeTemplate = 0 +($hasCodebtor?1:0) + ($hasApoderate?2:0) + 1;

		switch ($varfil)
		{
			case 'CONTRACT':{
				
					$paymentTypeID = $objS->PaymentTypeID;
					$hasBono = ($objS->Bono!=0);
					$subTypeTemplate = $subTypeTemplate + ($paymentTypeID==1?4:0) + (!$hasBono?8:0);
					
					$HouseSubTypeID = $objH->HouseSubTypeID;
					$CantidadLetrasTotal = $_POST['CantidadLetrasTotal'];
					$CantidadLetrasEntrada = $_POST['CantidadLetrasEntrada']; 
					$CantidadLetrasSaldo =$_POST['CantidadLetrasSaldo']; 
					$CantidadLetrasBono = $_POST['CantidadLetrasBono']; 
					$CantidadLetrasReserva = $_POST['CantidadLetrasReserva'];
					
					$sqlT = " select Page FROM template WHERE Type=5 AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT);
					$page = $objT->Page;
					
					$arrM = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
					$___MESENLETRAS___ = $arrM[$objS->Month - 1];
	
						
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					$___CEDULA___				= $objC->IDNumber;
					$___CLIENTEAPODERADO___		= utf8_decode($objC->NombreApoderado);
					$___CEDULAAPODERADO___		= $objC->IDNumberApoderado;					
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					$___CEDULACODEUDOR___		= $objS->CoDebtorIDNumber;
					

					$___DIRECCION___			= utf8_decode($objC->HomeAddress);
					$___TELEFONO___				= $objC->HomeTelephone;
					$___LUGARTRABAJO___			= utf8_decode($objC->WorkCompany);
					$___TELEFONOWORK___			= $objC->WorkTelephone;
					$___EMAIL__					= strtolower( $objC->Email);
					$___ESTADOCIVIL___			= $objC->EstadoCivil;
					$___TIPOVIVIENDA___			= $objC->TipoCasa;
					$___FECHA___				= $objS->DateInscription;
					$___FORMAPAGO___			= $objS->PaymentType;
					
					$___SOLAR___				= $objH->Solar;
					$___AREACONSTRUCCION___		= $objH->BuildMeter;
					$___AREA___					= $objH->SpaceMeter;
					$___LINDERONORTE___			= $objH->LLindero1 . ' CON ' . $objH->Lindero1 . ' m2';
					$___LINDEROSUR___			= $objH->LLindero2 . ' CON ' . $objH->Lindero2 . ' m2';
					$___LINDEROESTE___			= $objH->LLindero3 . ' CON ' . $objH->Lindero3 . ' m2';
					$___LINDEROOESTE___			= $objH->LLindero4 . ' CON ' . $objH->Lindero4 . ' m2';				
					
					$___ETAPA___				= $objS->Etapa;
					
					$___MANZANA___				= $objM->Description;
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					$___CONSTRUCTORTELEFONO___	= $objM->Telephone;
					$___CONSTRUCTORNOMBRE___	= $objM->constructor;
					$___CONSTRUCTORCARGOREPRESENTANTE___	= $objM->Charge;
					$___CONSTRUCTORREPRESENTANTELEGAL___	= $objM->LegalRepresentant;
					$___FECHACONSTRUCTOR___		= $objM->ConstructorDate;	
					
					$___ENTRADAENLETRAS___		= $CantidadLetrasEntrada;
					$___TOTALENLETRAS___		= $CantidadLetrasTotal;
					$___BONOENLETRAS___			= $CantidadLetrasBono;
					$___SALDOENLETRAS___		= $CantidadLetrasSaldo;
					$___RESERVAENLETRAS___		= $CantidadLetrasReserva;
					//$___CANTIDADLETRASFINANCIARPROMOTORA___ = $CantidadLetrasFinanciarPromotora;
					
					$___TOTAL___				= number_format($objS->TotalCost,2,'.',',');
					$___SALDO___				= number_format($objS->FinalSald,2,'.',',');
					$___BONO___					= number_format($objS->Bono,2,'.',',');
					$___ENTRADA___				= number_format($objS->Entrance,2,'.',',');
					$___RESERVA___				= number_format($objS->Reserve,2,'.',',');
					//$___ENTRADA___				= number_format($objS->Reserve,2,'.',',');
					
					$___PORCENTAJE___			= number_format(($objS->Entrance/$objS->TotalCost)*100,2,'.',',');

					$___FECHALIMITEPARAENTREGADOCUMENTO___ = $objS->EntHouseDate;
					$___FECHALIMITEPARAPAGO___ = $objS->EntHouseDate;
					$___FECHAENTREGAVIVIENDA___=  $objS->EntHouseDate;
					
					$___DIA___					= $objS->Day;
					$___MES___					= $objS->Month;
					$___ANIO___					= $objS->Year;				
					
					$___INICIOCOMENTARIO___ = ($objS->FinalSald==0? "<!--":"");
					$___FINCOMENTARIO___ = ($objS->FinalSald==0? "-->":"");
					
					$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___ .'-' . $SellID;				
					
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/' . $page);
					
					$arr=array(
						"___CLIENTETITULAR___"=>$___CLIENTETITULAR___,
						"___CEDULA___" => $___CEDULA___ ,
						"___CLIENTEAPODERADO___"=>$___CLIENTEAPODERADO___,
						"___CEDULAAPODERADO___" => $___CEDULAAPODERADO___ ,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CEDULACODEUDOR___" => $___CEDULACODEUDOR___ ,
						"___DIRECCION___"=>$___DIRECCION___,
						"___TELEFONO___"=>$___TELEFONO___,
						"___EMAIL__"=>$___EMAIL__,
						"___LUGARTRABAJO___"=>$___LUGARTRABAJO___,
						"___TELEFONOWORK___"=>$___TELEFONOWORK___,
						"___ESTADOCIVIL___"=>$___ESTADOCIVIL___,					
						"___TIPOVIVIENDA___"=>$___TIPOVIVIENDA___,
						"___FECHA___"=>$___FECHA___,						
						"___FORMAPAGO___"=>$___FORMAPAGO___,						
						"___SOLAR___"=>$___SOLAR___,
						"___AREACONSTRUCCION___"=>$___AREACONSTRUCCION___,
						"___AREA___"=>$___AREA___,
						"___LINDERONORTE___"=>$___LINDERONORTE___,
						"___LINDEROSUR___"=>$___LINDEROSUR___,
						"___LINDEROESTE___"=>$___LINDEROESTE___,
						"___LINDEROOESTE___"=>$___LINDEROOESTE___,						
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,

						"___TOTALENLETRAS___"=>$___TOTALENLETRAS___,
						"___ENTRADAENLETRAS___"=>$___ENTRADAENLETRAS___,
						"___BONOENLETRAS___"=>$___BONOENLETRAS___,
						"___SALDOENLETRAS___"=>$___SALDOENLETRAS___,
						"___RESERVAENLETRAS___"=>$___RESERVAENLETRAS___,
						//"___CANTIDADLETRASFINANCIARPROMOTORA___" =>$___CANTIDADLETRASFINANCIARPROMOTORA___,
						"___PORCENTAJE___"=>$___PORCENTAJE___,
						"___TOTAL___"=>$___TOTAL___,
						"___SALDO___"=>$___SALDO___,
						"___BONO___"=>$___BONO___,
						"___ENTRADA___"=>$___ENTRADA___,
						"___RESERVA___"=>$___RESERVA___,
						"___FECHALIMITEPARAENTREGADOCUMENTO___" =>$___FECHALIMITEPARAENTREGADOCUMENTO___,
						"___FECHALIMITEPARAPAGO___" =>$___FECHALIMITEPARAPAGO___,
						"___FECHAENTREGAVIVIENDA___"=>$___FECHAENTREGAVIVIENDA___,	
						"___ETAPA___"=>$___ETAPA___,						
						"___MANZANA___"=>$___MANZANA___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___CONSTRUCTORID___"=>$___CONSTRUCTORID___,
						"___CONSTRUCTORTELEFONO___"=>$___CONSTRUCTORTELEFONO___,
						"___CONSTRUCTORNOMBRE___"=>$___CONSTRUCTORNOMBRE___,
						"___FECHACONSTRUCTOR___"=>$___FECHACONSTRUCTOR___,						
						"___CONSTRUCTORTELEFONO___"=>$___CONSTRUCTORTELEFONO___,						
						"___DIA___"=>$___DIA___,
						"___MES___"=>$___MES___,
						"___MESENLETRAS___"=>$___MESENLETRAS___,
						"___ANIO___"=>$___ANIO___,
						"___INICIOCOMENTARIO___"=>$___INICIOCOMENTARIO___,
						"___FINCOMENTARIO___"=>$___FINCOMENTARIO___
						);
					
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					$strFilename = '../PDFs/Source/Generated/'. $page. uniqid()  . '.html';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					/*$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
					*/
				}
				break;
			case 'GRI':{
					$HouseSubTypeID = $objH->HouseSubTypeID;
					
					$sqlT = " select Page FROM template WHERE Type=1 AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT);
					$page = $objT->Page;
					
					$sqlD = "select date_format(DateEmiInscription, '%d/%m/%Y') DateEmiInscription from sell WHERE SellID =" . $SellID;
					$resultD = $db->query($sqlD);
					$objD = mysql_fetch_object($resultD);
					
					if($objD->DateEmiInscription != null){						
						$FechaInscripcion = $objD->DateEmiInscription;
						}
					else{
						$arrD = array("DateEmiInscription"=>"NOW()");
						$result=$db->update($arrD,"sell","sellID=".$SellID);
						$FechaInscripcion = date('d/m/Y');
						}
					
					$___BANK___					= $objPT->Description;
					
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					$___CEDULA___				= $objC->IDNumber;
					$___CLIENTEAPODERADO___		= $objC->NombreApoderado;
					$___CEDULAAPODERADO___		= $objC->IDNumberApoderado;
					$___DIRECCION___			= utf8_decode($objC->HomeAddress);
					$___TELEFONO___				= $objC->HomeTelephone;					
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					$___CEDULACODEUDOR___		= $objS->CoDebtorIDNumber;
					//$___FECHA___				= date('d/m/Y');
					$___FECHA___				= $FechaInscripcion;
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___ .'-' . $SellID;
					$___USERNAME___				= $UserName;					
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);					
					$___CORREOASESOR___			= strtolower( $objC->EmailAsesor);
					
					$___PROYECTO___				= $objS->Proyecto;		
					$___ETAPA___				= $objS->Etapa;
					$___MANZANA___				= $objM->Description;
					$___SOLAR___				= $objH->Solar;
					$___AREACONSTRUCCION___		= $objH->BuildMeter;
					$___AREA___					= $objH->SpaceMeter;
					$___VALOR____				= number_format($objS->Price,2,'.',',');
					$___BONO___					= number_format($objS->Bono,2,'.',',');
					//$___ADICIONAL___			= number_format($objS->Additional,2,'.',',');
					$___ADICIONAL___			= $objS->AdditionalCorner . '+' . $objS->AdditionalWayStreet . '+' .$objS->AdditionalGreenArea; 
					$___COSTOTOTAL___			= number_format($objS->TotalCost,2,'.',',');
					$___RESERVA___				= number_format($objS->Reserve,2,'.',',');
					$___COMENTARIO___			= utf8_decode($objS->GeneralComment);
					$___TIPOCASA___				= $objH->Description;
					$___ENTRADA___				= number_format($objS->Entrance,2,'.',',');
					$___SALDOENTRADA___			= number_format($objS->EntranceSald,2,'.',',');
					$___SALDOFINAL___			= number_format($objS->FinalSald + $objS->Bono,2,'.',',');
					$___MONTOPRECALIFICACION___ = number_format($objS->PrequalificationAmount,2,'.',',');

					$___DIRECCIONPROYECTO___	= 'Km 26 via Perimetral sector nueva Prosperina';
					$strHtml= file_get_contents('../PDFs/Source/Templates/' . $page);
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___CEDULA___" => $___CEDULA___ ,
						"___DIRECCION___"=>$___DIRECCION___,
						"___TELEFONO___"=>$___TELEFONO___,
						"___CLIENTEAPODERADO___"=>$___CLIENTEAPODERADO___,
						"___CEDULAAPODERADO___"=>$___CEDULAAPODERADO___,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CEDULACODEUDOR___"=>$___CEDULACODEUDOR___,
						"___CLIENTEAPODERADO___"=>$___CLIENTEAPODERADO___,
						"___ASESOR___"=>$___ASESOR___, 
						"___USERNAME___"=>$___USERNAME___, 
						"___FECHA___"=>$___FECHA___,
						"___CORREOASESOR___"=>$___CORREOASESOR___,
						"___COMENTARIO___"=>$___COMENTARIO___,
						"___TIPOCASA___"=>$___TIPOCASA___,
						"___CONSTRUCTORID___"=>$___CONSTRUCTORID___,
						"___SOLAR___"=>$___SOLAR___,
						"___AREACONSTRUCCION___"=>$___AREACONSTRUCCION___,
						"___AREA___"=>$___AREA___,
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,
						"___VALOR____"=>$___VALOR____,
						"___BONO___"=>$___BONO___,
						"___COSTOTOTAL___"=>$___COSTOTOTAL___,
						"___RESERVA___"=>$___RESERVA___,
						"___ADICIONAL___"=>$___ADICIONAL___,
						"___SALDOENTRADA___"=>$___SALDOENTRADA___,
						"___SALDOFINAL___"=>$___SALDOFINAL___,
						"___ENTRADA___"=>$___ENTRADA___,
						"___PROYECTO___"=>$___PROYECTO___,
						"___DIRECCIONPROYECTO___"=>$___DIRECCIONPROYECTO___,
						"___MONTOPRECALIFICACION___"=>$___MONTOPRECALIFICACION___,
						"___BANK___"=>$___BANK___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					$strFilename = '../PDFs/Source/Generated/'. $page. uniqid() ;
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
			case 'GRIT':{
					
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					$___CEDULA___				= $objC->IDNumber;
					$___FECHAENLETRAS___		= date('d/M/Y H:i:s');
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___ .'-' . $SellID;
					//$___ASESOR___				=  strtoupper( $_SESSION['Name'] . ' ' .  $_SESSION['LastName']);
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);
					$___RESERVA___				= number_format($objS->Reserve,2,'.',',');
					$___PROYECTO___				= $objS->Proyecto;		
					$___ETAPA___				= $objS->Etapa;
					$___MANZANA___				= $objM->Description;
					$___SOLAR___				= $objH->Solar;
					$___PRECALIFICACION____		= number_format($objS->PrequalificationAmount,2,'.',',');
					$___VALOR____				= number_format($objS->TotalCost,2,'.',',');
					$___COMENTARIO___			= utf8_decode($objS->GeneralComment);
					$___REFERENCIA___			= $objC->IDNumber . 0;
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/ORDENDEPOSITO.htm');
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___PROYECTO___"=>$___PROYECTO___,
						"___SOLAR___"=>$___SOLAR___,
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,
						"___CEDULA___" => $___CEDULA___ ,
						"___ASESOR___"=>$___ASESOR___, 
						"___FECHAENLETRAS___"=>$___FECHAENLETRAS___,
						"___RESERVA___"=>$___RESERVA___,
						"___VALOR____"=>$___VALOR____,
						"___COMENTARIO___"=>$___COMENTARIO___,
						"___PRECALIFICACION____"=>$___PRECALIFICACION____,
						"___REFERENCIA___"=>$___REFERENCIA___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					$strFilename = '../PDFs/Source/Generated/ORDENDEPOSITO'. uniqid() ;
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);

				}
				break;
			case 'GPP':{					
					$HouseSubTypeID = $objH->HouseSubTypeID;
					///query a paymentplan para la venta
					$sqlP = "select PaymentPlanID, Number, date_format(VencDate, '%d/%m/%Y') VencDate, Capital, Quota, Sald, SellID FROM paymentplan WHERE Type=2 AND SellID =" .$SellID;
					$resultP = $db->query($sqlP);					
					$row = mysql_num_rows($resultP);
					
					$sqlD = "select date_format(DateEmiInscription, '%d/%m/%Y') DateEmiInscription from sell WHERE SellID =" . $SellID;
					$resultD = $db->query($sqlD);
					$objD = mysql_fetch_object($resultD);
					
					if($objD->DateEmiInscription != null){						
						$FechaInscripcion = $objD->DateEmiInscription;
					}
					else{
						$arrD = array("DateEmiInscription"=>"NOW()");
						$result=$db->update($arrD,"sell","sellID=".$SellID);
						$FechaInscripcion = date('d/m/Y');
					}
					//Generar las lineas del plan de pagos
					
					$___STRLINES___ ="";										
					while($objP = mysql_fetch_object($resultP))
					{    				
		
						$NroCuota = $objC->IDNumber . $objP->Number;
						$fecVenc = $objP->VencDate;
						$Capital = number_format($objP->Capital,2,'.',',');
						//$Interes	= 
						//$Adicionales
						$Cuota = number_format($objP->Quota,2,'.',',');
						$Saldo = number_format($objP->Sald,2,'.',',');
					
					
						$___STRLINES___=$___STRLINES___ . "<tr '> " . 
							"<td width=width=15%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $NroCuota. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $fecVenc. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Capital. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . ''. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . ''. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Cuota. "</p></td>" .
							
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Saldo. "</p></td>" .
							
							"</tr>";
					
					}					
					////////////////////////////////////////////////////
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					$___CEDULA___				= $objC->IDNumber;
					$___DIRECCION___			= utf8_decode($objC->HomeAddress);
					$___TELEFONO___				= $objC->HomeTelephone;
					$___PROYECTO___				= $objS->Proyecto;
					$___USERNAME___				= $UserName;
					//$___ASESOR___				=  $_SESSION['Name'] . ' ' .  $_SESSION['LastName'];
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);
					$___ETAPA___				= $objS->Etapa;
					$___MANZANA___				= $objM->Description;
					$___SOLAR___				= $objH->Solar;
					$___UBICACION___			= 'Mz. ' . $___MANZANA___ . ' V. ' . $___SOLAR___;
					$___AREACONSTRUCCION___		= $objH->BuildMeter;
					$___AREA___					= $objH->SpaceMeter;
					$___VALOR____				= number_format($objS->Price,2,'.',',');
					$___BONO___					= number_format($objS->Bono,2,'.',',');
					$___VALORENTRADA___			= number_format($objS->Entrance,2,'.',',');
					$___RESERVA___				= number_format($objS->Reserve,2,'.',',');
					$___SALDOFINAL___			= number_format($objS->FinalSald,2,'.',',');
					$___SALDOENTRADA___			= number_format($objS->EntranceSald,2,'.',',');
					$___FECHAVENTA___			= $objS->Fecha;
					$___FECHAENTREGACASA___		= $objS->EntHouseDate;
					$___FECHABONO___			= $objS->DateBono;
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					$___CEDULADEUDOR___			= $objS->CoDebtorIDNumber;
					$___COMENTARIO___			= utf8_decode($objS->GeneralComment);		
					$___FECHA___				= $FechaInscripcion;
					//$___FECHA___				= date("d/M/Y");
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					$___TIPOCASA___				= $objH->Description;
					$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID;
					$HouseSubTypeID = $objH->HouseSubTypeID;
					
					$sqlT = " select Page FROM template WHERE Type=2 AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT);
					$page = $objT->Page;				

					
					$strHtml= file_get_contents('../PDFs/Source/Templates/' . $page);
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,
						"___CEDULA___" => $___CEDULA___ ,
						"___DIRECCION___"=>$___DIRECCION___,
						"___UBICACION___"=>$___UBICACION___,
						"___TELEFONO___"=>$___TELEFONO___,				
						"___ASESOR___"=>$___ASESOR___, 						
						"___USERNAME___"=>$___USERNAME___,
						"___COMENTARIO___"=>$___COMENTARIO___,
						"___SOLAR___"=>$___SOLAR___,
						"___AREACONSTRUCCION___"=>$___AREACONSTRUCCION___,
						"___AREA___"=>$___AREA___,
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,
						"___VALOR____"=>$___VALOR____,						
						"___RESERVA___"=>$___RESERVA___,			
						"___BONO___"=>$___BONO___,			
						"___VALORENTRADA___"=>$___VALORENTRADA___,
						"___SALDOENTRADA___"=>$___SALDOENTRADA___,
						"___SALDOFINAL___"=>$___SALDOFINAL___ ,
						"___PROYECTO___"=>$___PROYECTO___,
						"___STRLINES___"=>$___STRLINES___,
						"___FECHAVENTA___"=>$___FECHAVENTA___,
						"___FECHAENTREGACASA___"=>$___FECHAENTREGACASA___,
						"___FECHABONO___"=>$___FECHABONO___,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CEDULADEUDOR___"=>$___CEDULADEUDOR___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___FECHA___"=>$___FECHA___,
						"___TIPOCASA___"=>$___TIPOCASA___		
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					/////////////////////////////////////////////////////////////
					$strFilename = '../PDFs/Source/Generated/'. $page. uniqid() ;					
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();					
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);

				}
				break;
			case 'SOL':{
					$MzID = $_POST['MzID'];
					
					$sqlR = $sql = "SELECT H.HouseID, P.ProjectID as ProjectID, P.Description as DescriptionProject, E.EtapaID as EtapaID, E.Description as DescriptionEtapa, M.MzID as MzID, M.Description as DescriptionMz, T.HouseSubTypeID as HouseSubTypeID, T.Description as DescriptionHouseSubType, H.Solar, H.SpaceMeter, H.BuildMeter, H.Price, H.Location, S.StatusHouseID as StatusHouseID, S.Description as DescriptionStatusHouse, H.Lindero1, H.Lindero2, H.Lindero3, H.Lindero4, U1.UserName as CreateUserID, H.CreateDate, U2.UserName as UpdateUserID, H.UpdateDate, H.Corner, H.GreenArea, H.WayStreet, H.AditionalCorner, H.AditionalGreenArea, H.AditionalWayStreet FROM project P, etapa E, mz M, housesubtype T, statushouse S, house H, user U1, user U2 WHERE H.ProjectID = P.ProjectID AND H.EtapaID = E.EtapaID AND H.MzID = M.MzID AND U1.UserID = H.CreateUserID AND H.HouseSubTypeID = T.HouseSubTypeID AND U2.UserID = H.UpdateUserID AND H.Status = S.StatusHouseID AND H.MzID =".$MzID;
					$resultR = $db->query($sqlR);					
					$row = mysql_num_rows($resultR);
					//Generar las lineas del plan de pagos
					
					$___STRLINES___ ="";										
					while($objR = mysql_fetch_object($resultR))
					{    				
						$HouseID = $objR->HouseID;
						$Proyecto = $objR->DescriptionProject;
						$Manzana = $objR->DescriptionMz;
						$Etapa = $objR->DescriptionEtapa;
						$Solar = $objR->Solar;
						$Estado = $objR->DescriptionStatusHouse;	
						$___STRLINES___=$___STRLINES___ . "<tr '> " . 
							"<td width=width=10%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $HouseID. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $Proyecto. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Etapa. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Manzana . "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Solar. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Estado. "</p></td>" .
							
							"</tr>";
						
					}					
					////////////////////////////////////////////////////
			
					$___FECHA___				= date("d/M/Y H:i:s");
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/Reports/MZSolaresLibres.htm');
					$arr=array(
						"___STRLINES___"=>$___STRLINES___,
						"___FECHA___"=>$___FECHA___		
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					/////////////////////////////////////////////////////////////
					$strFilename = '../PDFs/Source/Generated/'. $page. uniqid() ;					
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				
				}
				break;
			case 'COMPROBANTEPAGO':{
					$DepositID = $_POST['DepositID'];
					$sqlT = " select DepositID, Reference, Type, VoucherNumber, Deposit, date_format(DepositDate,'%d/%m/%Y') DepositDate FROM deposit WHERE DepositID=" .  $DepositID ;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT); 
					$___CLIENTETITULAR___= utf8_decode($objC->NombreCliente);
					$___CEDULA___		= $objC->IDNumber;
					$___DIRECCION___			= utf8_decode($objC->HomeAddress);
					$___NUMEROCONTRATO___= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID;			
					$___DEPOSITID___ = $DepositID;
					$___REFERENCIA___	=  $objT->Reference;
					$___FECHA___ = date('d/m/Y');
					$___FECHAPAGO___ = $objT->DepositDate;
					$___NUMEROPAGO___ = $objT->VoucherNumber;
					$___CONCEPTO___ = ($objT->Type==1?'RESERVA': 'CUOTA ' . substr($___REFERENCIA___, -1) . ' PLAN DE PAGOS');
					$___VALORPAGADO___ = number_format($objT->Deposit,2,'.',',');
				
					$___PROYECTO___				= $objS->Proyecto;		
					$___ETAPA___				= $objS->Etapa;
					$___MANZANA___				= $objM->Description;
					$___SOLAR___				= $objH->Solar;
					
					$___AREACONSTRUCCION___		= $objH->BuildMeter;
					$___AREA___					= $objH->SpaceMeter;
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					
					$___USERNAME___				= $UserName;					
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/C_COMPROBANTEPAGO.htm');
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,						
						"___CEDULA___" => $___CEDULA___ ,			
						"___DIRECCION___"=>$___DIRECCION___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___DEPOSITID___"=>$___DEPOSITID___,
						"___REFERENCIA___"=>$___REFERENCIA___,
						"___FECHA___"=>$___FECHA___,
						"___FECHAPAGO___"=>$___FECHAPAGO___,
						"___NUMEROPAGO___"=>$___NUMEROPAGO___,
						"___CONCEPTO___"=>$___CONCEPTO___,
						"___VALORPAGADO___"=>$___VALORPAGADO___,
						"___PROYECTO___"=>$___PROYECTO___,
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,
						"___SOLAR___"=>$___SOLAR___,
						"___AREACONSTRUCCION___"=>$___AREACONSTRUCCION___,
						"___AREA___"=>$___AREA___,
						"___CONSTRUCTORID___"=>$___CONSTRUCTORID___,
						"___USERNAME___"=>$___USERNAME___,
						"___ASESOR___"=>$___ASESOR___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					$strFilename = '../PDFs/Source/Generated/COMPROBANTE_'. uniqid() ;
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
			case 'COMPROBANTEOTROPAGO':{
					$OthersDepositID = $_POST['OtherDepositID'];
					$sqlT = " select OthersDepositID, Concept, VoucherNumber, Deposit, date_format(DepositDate,'%d/%m/%Y') DepositDate FROM othersdeposit WHERE OthersDepositID=" .  $OthersDepositID ;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT); 
					$___CLIENTETITULAR___= utf8_decode($objC->NombreCliente);
					$___CEDULA___		= $objC->IDNumber;
					$___DIRECCION___			= utf8_decode($objC->HomeAddress);
					$___NUMEROCONTRATO___= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID;			
					$___DEPOSITID___ = $OthersDepositID;
					//$___REFERENCIA___	=  $objT->Reference;
					$___FECHA___ = date('d/m/Y');
					$___FECHAPAGO___ = $objT->DepositDate;
					$___NUMEROPAGO___ = $objT->VoucherNumber;
					//$___CONCEPTO___ = ($objT->Type==1?'RESERVA': 'CUOTA ' . substr($___REFERENCIA___, -1) . ' PLAN DE PAGOS');
					$___CONCEPTO___ = $objT->Concept;
					$___VALORPAGADO___ = number_format($objT->Deposit,2,'.',',');
					
					$___PROYECTO___				= $objS->Proyecto;		
					$___ETAPA___				= $objS->Etapa;
					$___MANZANA___				= $objM->Description;
					if($objS->HouseID!=0){
						$___SOLAR___				= $objH->Solar;
						$___AREACONSTRUCCION___		= $objH->BuildMeter;
						$___AREA___					= $objH->SpaceMeter;
						$___CONSTRUCTORID___		= $objM->ConstructorID;
					}
					else
						{
						$___SOLAR___				= 0;
						$___AREACONSTRUCCION___		= 0;
						$___AREA___					= 0;
						$___CONSTRUCTORID___		= 0;
						}
					
					/*$___AREACONSTRUCCION___		= $objH->BuildMeter;
					$___AREA___					= $objH->SpaceMeter;
					$___CONSTRUCTORID___		= $objM->ConstructorID;*/
					
					$___USERNAME___				= $UserName;					
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/C_COMPROBANTEPAGO.htm');
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,						
						"___CEDULA___" => $___CEDULA___ ,			
						"___DIRECCION___"=>$___DIRECCION___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___DEPOSITID___"=>$___DEPOSITID___,
						"___REFERENCIA___"=>" ",
						"___FECHA___"=>$___FECHA___,
						"___FECHAPAGO___"=>$___FECHAPAGO___,
						"___NUMEROPAGO___"=>$___NUMEROPAGO___,
						"___CONCEPTO___"=>$___CONCEPTO___,
						"___VALORPAGADO___"=>$___VALORPAGADO___,
						"___PROYECTO___"=>$___PROYECTO___,
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,
						"___SOLAR___"=>$___SOLAR___,
						"___AREACONSTRUCCION___"=>$___AREACONSTRUCCION___,
						"___AREA___"=>$___AREA___,
						"___CONSTRUCTORID___"=>$___CONSTRUCTORID___,
						"___USERNAME___"=>$___USERNAME___,
						"___ASESOR___"=>$___ASESOR___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					$strFilename = '../PDFs/Source/Generated/COMPROBANTE_'. uniqid() ;
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
			case'PAGARE':{
					$Type = $_POST['Type'];
					$CantidadLetrasSaldo = $_POST['CantidadLetrasSaldo'];
					$CantidadLetrasBono = $_POST['CantidadLetrasBono']; 
					$HouseSubTypeID = $objH->HouseSubTypeID;

					$sqlT = " select Page FROM template WHERE Type=" .  $Type . " AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT); 
					$page = $objT->Page;
					
					$sqlD = "select date_format(DateEmiInscription, '%d/%m/%Y') DateInscription,date_format(DateEmiInscription, '%d') as Day, date_format(DateEmiInscription, '%m') as Month, date_format(DateEmiInscription, '%Y') as Year, EntHouseDate,  DATEDIFF(EntHouseDate,DateEmiInscription) as DaysToEnt, PercentTaxes  from sell WHERE SellID =" . $SellID;
					$resultD = $db->query($sqlD);
					$objD = mysql_fetch_object($resultD);
					if($objD->DateInscription == null){
						//Error, no se puede emitir por que la inscripción aun no se ha emitido
						Echo '({success:false,Datos:'.json_encode("Inscripción no emitida!!!").'})';
						return;
					}
					$FechaLetras = $objD->DateInscription;
					$arrM = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
					$Mes = $arrM[$objD->Month - 1];
					$FechaPagare = $objD->Day . ' de ' . $Mes . ' del ' . $objD->Year;
					$PercentTaxes = $objD->PercentTaxes;
					/*else{
						$arrD = array("DateEmiPagare"=>"NOW()");
						$result=$db->update($arrD,"sell","sellID=".$SellID);
						
						$FechaLetras = date('d/m/Y');
						$arrL = array("Eenro","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
						$Mes = $arrL[(substr($FechaLetras,3,2)) - 1];
						$FechaPagare = substr($FechaLetras,0,2) . ' de ' . $Mes . ' del ' . substr($FechaLetras,6,4);
						
					}*/
					
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					$___CEDULA___				= $objC->IDNumber;
					$___CLIENTEAPODERADO___		= utf8_decode($objC->NombreApoderado);
					$___CEDULAAPODERADO___		= $objC->IDNumberApoderado;					
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					$___CEDULACODEUDOR___		= $objS->CoDebtorIDNumber;
					
					$___SALDOFINAL___ 			= number_format($objS->FinalSald,2,'.',',');
					$___SALDOBONO___ 			= number_format($objS->Bono,2,'.',',');
					$___FECHA___				= $objD->DateInscription;
					$___FECHALETRAS___				= $FechaPagare;
					$___CANTIDADLETRASSALDO___		= $CantidadLetrasSaldo;
					$___CANTIDADLETRASBONO___		= $CantidadLetrasBono;
					$___DIASPARAENTREGA___		=  $objD->DaysToEnt;
					$___INTERES___				= $PercentTaxes;
					$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID; 
					
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/' . $page);
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,						
						"___CEDULA___" => $___CEDULA___ ,						
						"___CLIENTEAPODERADO___"=>$___CLIENTEAPODERADO___,
						"___CEDULAAPODERADO___"=>$___CEDULAAPODERADO___,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CEDULACODEUDOR___"=>$___CEDULACODEUDOR___,
						"___SALDOFINAL___"=>$___SALDOFINAL___,
						"___SALDOBONO___"=>$___SALDOBONO___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___FECHA___"=>$___FECHA___,
						"___FECHALETRAS___"=>$___FECHALETRAS___,
						"___CANTIDADLETRASSALDO___"=>$___CANTIDADLETRASSALDO___,
						"___CANTIDADLETRASBONO___"=>$___CANTIDADLETRASBONO___,
						"___DIASPARAENTREGA___"=>$___DIASPARAENTREGA___,
						"___INTERES___"=>$___INTERES___					
						
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					$strFilename = '../PDFs/Source/Generated/'. $page. uniqid() ;
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
			case'PAGAREPP':{
					//$Type = $_POST['Type'];
					$CantidadLetrasSaldo = $_POST['CantidadLetrasSaldo'];
					$CantidadLetrasBono = $_POST['CantidadLetrasBono']; 
					$HouseSubTypeID = $objH->HouseSubTypeID;
					
					//////////////////////////////////////////////////////////////////////////
					
					///query a paymentplan para la venta
					$sqlP = "select PaymentPlanID, Number, date_format(VencDate, '%d/%m/%Y') VencDate, Capital, Quota, Sald, SellID FROM paymentplan WHERE Type=2 AND SellID =" .$SellID;
					$resultP = $db->query($sqlP);					
					$row = mysql_num_rows($resultP);
					
					//Generar las lineas del plan de pagos
					
					$___STRLINES___ ="";										
					while($objP = mysql_fetch_object($resultP))
					{    				
						
						//$NroCuota = $objC->IDNumber . $objP->Number;
						$NroCuota = $objP->Number;
						$fecVenc = $objP->VencDate;
						$Capital = number_format($objP->Capital,2,'.',',');
						//$Interes	= 
						//$Adicionales
						$Cuota = number_format($objP->Quota,2,'.',',');
						$Saldo = number_format($objP->Sald,2,'.',',');
						
						
						$___STRLINES___=$___STRLINES___ . "<tr '> " . 
							"<td width=width=25%'><p class=MsoNormal style='margin-bottom:0cm;margin-bottom:.0001pt;text-align:center;line-height:normal'>" . $NroCuota. "</p></td>" .
							"<td width=width=30%'><p class=MsoNormal style='margin-bottom:0cm;margin-bottom:.0001pt;text-align:center;line-height:normal'>" . $fecVenc. "</p></td>" .
							"<td width=width=15%'><p class=MsoNormal style='margin-bottom:0cm;margin-bottom:.0001pt;text-align:right;line-height:normal'>" . $Capital. "</p></td>" .
							"<td width=width=15%'><p class=MsoNormal style='margin-bottom:0cm;margin-bottom:.0001pt;text-align:right;line-height:normal'>" . $Cuota. "</p></td>" .							
							"<td width=width=15%'><p class=MsoNormal style='margin-bottom:0cm;margin-bottom:.0001pt;text-align:right;line-height:normal'>" . $Saldo. "</p></td>" .							
							"</tr>";
						
					}
					
					/////////////////////////////////////////////////////////////////////////////////////////////////

					//$sqlT = " select Page FROM template WHERE Type=" .  $Type . " AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$sqlT = " select Page FROM template WHERE Type= 8 AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT); 
					$page = $objT->Page;
					
					$sqlD = "select date_format(DateEmiInscription, '%d/%m/%Y') DateInscription,date_format(DateEmiInscription, '%d') as Day, date_format(DateEmiInscription, '%m') as Month, date_format(DateEmiInscription, '%Y') as Year, EntHouseDate,  DATEDIFF(EntHouseDate,DateEmiInscription) as DaysToEnt, PercentTaxes  from sell WHERE SellID =" . $SellID;
					$resultD = $db->query($sqlD);
					$objD = mysql_fetch_object($resultD);
					if($objD->DateInscription == null){
						//Error, no se puede emitir por que la inscripción aun no se ha emitido
						Echo '({success:false,Datos:'.json_encode("Inscripción no emitida!!!").'})';
						return;
					}
					$FechaLetras = $objD->DateInscription;
					$arrM = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
					$Mes = $arrM[$objD->Month - 1];
					$FechaPagare = $objD->Day . ' de ' . $Mes . ' del ' . $objD->Year;
					$PercentTaxes = $objD->PercentTaxes;
					/*else{
						$arrD = array("DateEmiPagare"=>"NOW()");
						$result=$db->update($arrD,"sell","sellID=".$SellID);
						
						$FechaLetras = date('d/m/Y');
						$arrL = array("Eenro","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
						$Mes = $arrL[(substr($FechaLetras,3,2)) - 1];
						$FechaPagare = substr($FechaLetras,0,2) . ' de ' . $Mes . ' del ' . substr($FechaLetras,6,4);
						
					}*/
					
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					$___CEDULA___				= $objC->IDNumber;
					$___CLIENTEAPODERADO___		= utf8_decode($objC->NombreApoderado);
					$___CEDULAAPODERADO___		= $objC->IDNumberApoderado;					
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					$___CEDULACODEUDOR___		= $objS->CoDebtorIDNumber;
					
					$___SALDOFINAL___ 			= number_format($objS->FinalSald,2,'.',',');
					$___SALDOBONO___ 			= number_format($objS->Bono,2,'.',',');
					$___FECHA___				= $objD->DateInscription;
					$___FECHALETRAS___				= $FechaPagare;
					$___CANTIDADLETRASSALDO___		= $CantidadLetrasSaldo;
					$___CANTIDADLETRASBONO___		= $CantidadLetrasBono;
					$___DIASPARAENTREGA___		=  $objD->DaysToEnt;
					$___INTERES___				= $PercentTaxes;
					$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID; 
					
					$___SALDOENTRADA___			= number_format($objS->EntranceSald,2,'.',',');
					//$___VALORENTRADA___			= number_format($objS->Entrance,2,'.',',');
					$___FECHABONO___			= $objS->DateBono;
					$___BONO___					= number_format($objS->Bono,2,'.',',');
					$___FECHAENTREGACASA___		= $objS->EntHouseDate;
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/' . $page);
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,						
						"___CEDULA___" => $___CEDULA___ ,						
						"___CLIENTEAPODERADO___"=>$___CLIENTEAPODERADO___,
						"___CEDULAAPODERADO___"=>$___CEDULAAPODERADO___,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CEDULACODEUDOR___"=>$___CEDULACODEUDOR___,
						"___SALDOFINAL___"=>$___SALDOFINAL___,
						"___SALDOBONO___"=>$___SALDOBONO___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___FECHA___"=>$___FECHA___,
						"___FECHALETRAS___"=>$___FECHALETRAS___,
						"___CANTIDADLETRASSALDO___"=>$___CANTIDADLETRASSALDO___,
						"___CANTIDADLETRASBONO___"=>$___CANTIDADLETRASBONO___,
						"___DIASPARAENTREGA___"=>$___DIASPARAENTREGA___,
						"___INTERES___"=>$___INTERES___,
						"___STRLINES___"=>$___STRLINES___,
						"___SALDOENTRADA___"=>$___SALDOENTRADA___,
						//"___VALORENTRADA___"=>$___VALORENTRADA___,
						"___FECHABONO___"=>$___FECHABONO___,
						"___BONO___"=>$___BONO___,
						"___FECHAENTREGACASA___"=>$___FECHAENTREGACASA___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					$strFilename = '../PDFs/Source/Generated/'. $page. uniqid() ;
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
			case'SPECIFICATION':{
					$sql = "select S.SellID, H.HouseID, H.HouseSubTypeID, T.Description from sell S, house H, housesubtype T where S.HouseID = H.HouseID and H.HouseSubTypeID = T.HouseSubTypeID and S.SellID = " . $SellID;
					$result = $db->query($sql);
					$obj = mysql_fetch_object($result);
					$rows=$db->countRows($result);
					if($rows > 0){							
						$___CEDULA___				= $objC->IDNumber;
						$___CONSTRUCTORID___		= $objM->ConstructorID;
						$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
						$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___ .'-' . $SellID;				
						$strHtml= file_get_contents('../PDFs/Source/Templates/C_ESPECIFICACIONESTECNICAS.htm' );
						$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,						
							"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___
							);
						
						$count = count($arr);
						foreach($arr as $key=> $value){
							$strHtml = str_replace($key, $value, $strHtml);
						}
						$strFilename = '../PDFs/Source/Generated/C_ESPECIFICACIONESTECNICAS_'. uniqid() ;
						$archivo=fopen($strFilename. '.html','w') ;
						fputs($archivo,  $strHtml);
						fclose($archivo);
						$oldDir = getcwd();
						chdir('../PDFs/Source');
						$dompdf = new DOMPDF();
						$dompdf->set_paper('A4');
						$dompdf->load_html($strHtml);
						$dompdf->render();
						$strPDF = $dompdf->output();
						chdir($oldDir);
						$strFilename = $strFilename .'.pdf';
						$archivo=fopen($strFilename,'w') ;
						fputs($archivo,  $strPDF);
						fclose($archivo);


					}else{
						Echo '({success:false,Datos:'.json_encode("Error al consultar...Por Favor Verifique!!!").'})';
						exit();
					}
				}
				break;
			case'ESTADOCUENTA':{
					//$HouseSubTypeID = $objH->HouseSubTypeID;
					///query a paymentplan para la venta
					/*$sqlP = "select PaymentPlanID, Number, date_format(VencDate, '%d/%m/%Y') VencDate, Capital, Quota, Sald, SellID FROM paymentplan WHERE Type=2 AND Status <> 4 AND SellID =" .$SellID;
					$resultP = $db->query($sqlP);					
					$row = mysql_num_rows($resultP);*/
					
					/*$sqlP = "select * from(select d.Number, if(d.Type=1,'RESERVA','CUOTA') Concepto, date_format(p.VencDate, '%d/%m/%Y') VencDate, p.Quota, date_format(d.DepositDate, '%d/%m/%Y') FechaPago, d.VoucherNumber, d.Deposit ValorPago, (p.Quota-d.Deposit) SaldoCuota, d.Reference  
							from deposit d, paymentplan p
							where d.sellid = " . $SellID . " and p.reference = d.reference

							union all
							select Number, if(Type=1,'RESERVA','CUOTA') Concepto, VencDate, Quota, '' FechaPago,   '' VoucherNumber, '' ValorPago , Quota SaldoCuota, Reference from paymentplan 
							where sellid = " . $SellID . " and status in (0,1,2,3) ) T
							order by T.VencDate";*/
					$sqlP = "select * from(select d.Number, if(d.Type=1,'RESERVA','CUOTA') Concepto, date(p.VencDate) VencDate, p.Quota, date(d.DepositDate) FechaPago, d.VoucherNumber, d.Deposit ValorPago, (p.Quota-d.Deposit) SaldoCuota, d.Reference  
							from deposit d, paymentplan p
							where d.sellid = " . $SellID . " and p.reference = d.reference

							union all
							select Number, if(Type=1,'RESERVA','CUOTA') Concepto, date(VencDate) VencDate, Quota, '' FechaPago,   '' VoucherNumber, '' ValorPago , Quota SaldoCuota, Reference from paymentplan 
							where sellid = " . $SellID . " and status in (0,1,2,3) ) T
							order by T.VencDate";
					$resultP = $db->query($sqlP);					
					$row = mysql_num_rows($resultP);
					
					$sqlD = "select Number, Concept, DepositDate, VoucherNumber, Deposit from othersdeposit where SellID = " . $SellID;
					$resultD = $db->query($sqlD);					
					$row = mysql_num_rows($resultD);
					//Generar las lineas del plan de pagos
					
					$___STRLINES___ ="";	
					$___OTHERSTRLINES___ = "";									
					while($objP = mysql_fetch_object($resultP))
					{    				
						
						$Numero = $objP->Number;
						$Concepto = $objP->Concepto;
						$fecVenc = $objP->VencDate;
						$Cuota = number_format($objP->Quota,2,'.',',');
						$FechaPago = $objP->FechaPago;
						$VoucherNumber = $objP->VoucherNumber;
						
						$ValorPago = ($objP->ValorPago!=''?number_format($objP->ValorPago,2,'.',','):'');
						//$Interes	= 
						//$Adicionales						
						$Saldo = number_format($objP->SaldoCuota,2,'.',',');
						
						
						$___STRLINES___=$___STRLINES___ . "<tr '> " . 
							"<td width=width=5%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $Numero . "</p></td>" .
							"<td width=width=15%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $Concepto. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $fecVenc. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Cuota. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $FechaPago. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $VoucherNumber. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $ValorPago. "</p></td>" .							
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $Saldo. "</p></td>" .
							
							"</tr>";
						
					}
					
					//Generar lineas de otros depositos			
					while($objD = mysql_fetch_object($resultD))
					{
						$OtherNumero = $objD->Number;
						$OtherConcept = $objD->Concept;
						$OtherDepositDate = $objD->DepositDate;
						$OtherVoucher = $objD->VoucherNumber;
						$OtherDeposit = $objD->Deposit;
						
						$___OTHERSTRLINES___=$___OTHERSTRLINES___ . "<tr '> " . 
							"<td width=width=5%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $OtherNumero . "</p></td>" .
							"<td width=width=15%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $OtherConcept. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:center;line-height:normal'>" . $OtherDepositDate. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $OtherDeposit. "</p></td>" .
							"<td width=width=10%'><p class=MsoNormal style='text-align:right;line-height:normal'>" . $OtherVoucher. "</p></td>" .
							
							"</tr>";
						
					}		
					////////////////////////////////////////////////////
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					$___CEDULA___				= $objC->IDNumber;
					$___DIRECCION___			= utf8_decode($objC->HomeAddress);
					$___TELEFONO___				= $objC->HomeTelephone;
					$___PROYECTO___				= $objS->Proyecto;
					$___USERNAME___				= $UserName;
					//$___ASESOR___				=  $_SESSION['Name'] . ' ' .  $_SESSION['LastName'];
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);
					$___ETAPA___				= $objS->Etapa;
					$___MANZANA___				= $objM->Description;
					$___SOLAR___				= $objH->Solar;
					$___UBICACION___			= 'Mz. ' . $___MANZANA___ . ' V. ' . $___SOLAR___;
					$___AREACONSTRUCCION___		= $objH->BuildMeter;
					$___AREA___					= $objH->SpaceMeter;
					$___VALOR____				= number_format($objS->Price,2,'.',',');
					$___BONO___					= number_format($objS->Bono,2,'.',',');
					$___VALORENTRADA___			= number_format($objS->Entrance,2,'.',',');
					$___RESERVA___				= number_format($objS->Reserve,2,'.',',');
					$___SALDOFINAL___			= number_format($objS->FinalSald,2,'.',',');
					$___SALDOENTRADA___			= number_format($objS->EntranceSald,2,'.',',');
					$___FECHAVENTA___			= $objS->Fecha;
					$___FECHAENTREGACASA___		= $objS->EntHouseDate;
					$___FECHABONO___			= $objS->DateBono;
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					$___CEDULADEUDOR___			= $objS->CoDebtorIDNumber;
					$___COMENTARIO___			= utf8_decode($objS->GeneralComment);		
					//$___FECHA___				= $FechaInscripcion;
					$___FECHA___				= date("d/M/Y");
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					$___TIPOCASA___				= $objH->Description;
					$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID;
					$HouseSubTypeID = $objH->HouseSubTypeID;
					
					/*$sqlT = " select Page FROM template WHERE Type=2 AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT);
					$page = $objT->Page;*/			

					
					$strHtml= file_get_contents('../PDFs/Source/Templates/C_ESTADOCUENTA.htm');
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,
						"___CEDULA___" => $___CEDULA___ ,
						"___DIRECCION___"=>$___DIRECCION___,
						"___UBICACION___"=>$___UBICACION___,
						"___TELEFONO___"=>$___TELEFONO___,				
						"___ASESOR___"=>$___ASESOR___, 						
						"___USERNAME___"=>$___USERNAME___,
						"___COMENTARIO___"=>$___COMENTARIO___,
						"___SOLAR___"=>$___SOLAR___,
						"___AREACONSTRUCCION___"=>$___AREACONSTRUCCION___,
						"___AREA___"=>$___AREA___,
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,
						"___VALOR____"=>$___VALOR____,						
						"___RESERVA___"=>$___RESERVA___,			
						"___BONO___"=>$___BONO___,			
						"___VALORENTRADA___"=>$___VALORENTRADA___,
						"___SALDOENTRADA___"=>$___SALDOENTRADA___,
						"___SALDOFINAL___"=>$___SALDOFINAL___ ,
						"___PROYECTO___"=>$___PROYECTO___,
						"___STRLINES___"=>$___STRLINES___,
						"___FECHAVENTA___"=>$___FECHAVENTA___,
						"___FECHAENTREGACASA___"=>$___FECHAENTREGACASA___,
						"___FECHABONO___"=>$___FECHABONO___,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CEDULADEUDOR___"=>$___CEDULADEUDOR___,
						"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___FECHA___"=>$___FECHA___,
						"___TIPOCASA___"=>$___TIPOCASA___,
						"___OTHERSTRLINES___"=>$___OTHERSTRLINES___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					/////////////////////////////////////////////////////////////
					$strFilename = '../PDFs/Source/Generated/EstadoCuenta'. uniqid() ;					
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();					
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
			case'ACTAENTREGA':{				
					$sql1 = "select date_format(EntHouseDate, '%d') as Day, date_format(EntHouseDate, '%m') as Month, date_format(EntHouseDate, '%Y') as Year from sell where SellID = " . $SellID;
					$result1 = $db->query($sql1);
					$obj1 = mysql_fetch_object($result1);
					
					$arrM = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
					$___MESENLETRAS___	= $arrM[$obj1->Month - 1];
					$___DIA___			= $obj1->Day;
					$___ANIO___			= $obj1->Year;
					////////////////////////////////////////////////////
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					//$___CEDULA___				= $objC->IDNumber;										
					$___PROYECTO___				= $objS->Proyecto;
					$___USERNAME___				= $UserName;					
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);
					$___ETAPA___				= $objS->Etapa;
					$___MANZANA___				= $objM->Description;
					$___SOLAR___				= $objH->Solar;
					$___UBICACION___			= 'Mz. ' . $___MANZANA___ . ' V. ' . $___SOLAR___;					
					$___FECHAVENTA___			= $objS->Fecha;
					$___CLIENTEAPODERADO___		= utf8_decode($objC->NombreApoderado);
					
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					//$___CEDULADEUDOR___			= $objS->CoDebtorIDNumber;					
					
					$___FECHA___				= date("d/M/Y");
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					$___CONSTRUCTOR___			= strtoupper($objM->constructor);
					$___REPRESENTANTELEGAL___	= strtoupper($objM->LegalRepresentant);
					$___TIPOCASA___				= $objH->Description;
					//$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID;
					$HouseSubTypeID = $objH->HouseSubTypeID;
					
					$sqlT = " select Page FROM template WHERE Type=6 AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT);
					$page = $objT->Page;
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/' . $page);
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,
						//"___CEDULA___" => $___CEDULA___ ,						
						"___UBICACION___"=>$___UBICACION___,						
						"___ASESOR___"=>$___ASESOR___, 						
						"___USERNAME___"=>$___USERNAME___,						
						"___SOLAR___"=>$___SOLAR___,						
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,						
						"___PROYECTO___"=>$___PROYECTO___,						
						"___FECHAVENTA___"=>$___FECHAVENTA___,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CLIENTEAPODERADO___"=>$___CLIENTEAPODERADO___,
						//"___CEDULADEUDOR___"=>$___CEDULADEUDOR___,
						//"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___FECHA___"=>$___FECHA___,
						"___TIPOCASA___"=>$___TIPOCASA___,	
						"___REPRESENTANTELEGAL___"=>$___REPRESENTANTELEGAL___,
						"___CONSTRUCTOR___"=>$___CONSTRUCTOR___,
						"___MESENLETRAS___"=>$___MESENLETRAS___,
						"___DIA___"=>$___DIA___,
						"___ANIO___"=>$___ANIO___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					/////////////////////////////////////////////////////////////
					$strFilename = '../PDFs/Source/Generated/' . $page . uniqid() ;					
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();					
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
			case'ENTREGARECEPCION':{				
					
					////////////////////////////////////////////////////
					$___CLIENTETITULAR___		= utf8_decode($objC->NombreCliente);
					//$___CEDULA___				= $objC->IDNumber;										
					$___PROYECTO___				= $objS->Proyecto;
					$___USERNAME___				= $UserName;					
					$___ASESOR___				=  strtoupper($objC->NombreAsesor);
					$___ETAPA___				= strtolower($objS->Etapa);
					$___MANZANA___				= $objM->Description;
					$___SOLAR___				= $objH->Solar;
					$___UBICACION___			= 'Mz. ' . $___MANZANA___ . ' V. ' . $___SOLAR___;					
					$___FECHAVENTA___			= $objS->Fecha;
					$___CLIENTEAPODERADO___		= utf8_decode($objC->NombreApoderado);
					$___CLIENTECODEUDOR___		= utf8_decode($objS->NombreCodeudor);
					//$___CEDULADEUDOR___			= $objS->CoDebtorIDNumber;					
					
					$___FECHA___				= date("d/M/Y");
					$___CONSTRUCTORID___		= $objM->ConstructorID;
					$___CONSTRUCTOR___			= $objM->constructor;
					$___CONSTRUCTORM___			= strtoupper($objM->constructor);
					$___REPRESENTANTELEGAL___	= strtoupper($objM->LegalRepresentant);
					$___TIPOCASA___				= $objH->Description;
					//$___NUMEROCONTRATO___		= $___CEDULA___ . '-' . $___CONSTRUCTORID___		= $objM->ConstructorID .'-' . $SellID;
					$HouseSubTypeID = $objH->HouseSubTypeID;
					
					$sqlT = " select Page FROM template WHERE Type=7 AND SubType=" . $subTypeTemplate . ' AND HouseSubTypeID=' . $HouseSubTypeID;
					$resultT = $db->query($sqlT);
					$objT = mysql_fetch_object($resultT);
					$page = $objT->Page;
					
					$strHtml= file_get_contents('../PDFs/Source/Templates/' . $page);
					$arr=array("___CLIENTETITULAR___"=>$___CLIENTETITULAR___,
						//"___CEDULA___" => $___CEDULA___ ,						
						"___UBICACION___"=>$___UBICACION___,						
						"___ASESOR___"=>$___ASESOR___, 						
						"___USERNAME___"=>$___USERNAME___,						
						"___SOLAR___"=>$___SOLAR___,						
						"___ETAPA___"=>$___ETAPA___,
						"___MANZANA___"=>$___MANZANA___,						
						"___PROYECTO___"=>$___PROYECTO___,						
						"___FECHAVENTA___"=>$___FECHAVENTA___,
						"___CLIENTECODEUDOR___"=>$___CLIENTECODEUDOR___,
						"___CLIENTEAPODERADO___"=>$___CLIENTEAPODERADO___,
						//"___CEDULADEUDOR___"=>$___CEDULADEUDOR___,
						//"___NUMEROCONTRATO___"=>$___NUMEROCONTRATO___,
						"___FECHA___"=>$___FECHA___,
						"___TIPOCASA___"=>$___TIPOCASA___,	
						"___REPRESENTANTELEGAL___"=>$___REPRESENTANTELEGAL___,
						"___CONSTRUCTOR___"=>$___CONSTRUCTOR___,
						"___CONSTRUCTORM___"=>$___CONSTRUCTORM___
						);
					
					$count = count($arr);
					foreach($arr as $key=> $value){
						$strHtml = str_replace($key, $value, $strHtml);
					}
					/////////////////////////////////////////////////////////////
					$strFilename = '../PDFs/Source/Generated/' . $page . uniqid() ;					
					$archivo=fopen($strFilename. '.html','w') ;
					fputs($archivo,  $strHtml);
					fclose($archivo);
					$oldDir = getcwd();
					chdir('../PDFs/Source');
					$dompdf = new DOMPDF();					
					$dompdf->set_paper('A4');
					$dompdf->load_html($strHtml);
					$dompdf->render();
					$strPDF = $dompdf->output();
					chdir($oldDir);
					$strFilename = $strFilename .'.pdf';
					$archivo=fopen($strFilename,'w') ;
					fputs($archivo,  $strPDF);
					fclose($archivo);
				}
				break;
		}
		Echo '({success:true,Datos:'. json_encode($strFilename) .',Result:' . '"OK"'. '})';
	}
	else
	{
		Echo '({success:false,Datos:'.json_encode("Error al consultar...Por Favor Verifique!!!").'})';		
	}
}
catch (Exception $e)
{
	Echo '({success:false,Datos:'.json_encode($e->getMessage()).'})';		
}

function fechadesc($fecha, $a){
	
	}
?>